import { HtmlValidate } from "{{ doc.fileInfo.docRoot }}/../src/htmlvalidate";

const markup: { [key: string]: string } = {};
{%- for validation in doc.validations %}
markup["{{ validation.name }}"] = `{{ validation.markup }}`;
{%- endfor %}

describe("{{ doc.fileInfo.fullpath }}", () => {
{%- for validation in doc.validations %}
	it("inline validation: {{ validation.name }}", async () => {
		expect.assertions(1);
		const htmlvalidate = new HtmlValidate({{ validation.config | dump }});
		const report = await htmlvalidate.validateString(markup["{{ validation.name }}"]);
		expect(report.results).toMatchSnapshot();
	});
{%- endfor %}
});
